Upgrade auf 2.1 mit Fehlermeldung

Dieses Thema im Forum "Installation" wurde erstellt von Dietbert, 29. Januar 2007.

  1. Dietbert

    Dietbert New Member

    Registriert seit:
    25. Mai 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Nach dem Aufruf von ...upgrade.php bekomme ich diese Fehlermeldung:

    "Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 16896 bytes) in /mnt/jd2/05/291/00000011/htdocs/wp-admin/admin-functions.php on line 1247"

    Darauf kann ich mir keinen Reim machen, d.h. ich verstehe die Fehlermeldung nicht.

    Auf der website steht dann an der Stelle, wo die Beiträge stehen sollten, der lustige Satz: "Sorry, kein Beitrag enthält das Suchwort."

    Die MySQL- und die PHP-Version ist okay, Hoster ist Strato, was bisher aber (fast) nie ein Problem war.
     
  2. venus

    venus Well-Known Member

    Registriert seit:
    13. Januar 2007
    Beiträge:
    680
    Zustimmungen:
    0
    da waren doch in den letzten tagen einige fragen / beiträge dazu (auch mit strato?). auswendig weiss ich es nicht.
    benutz mal die suche nach "Allowed memory size" -- lösungen gabs auch dazu ... wenn mich die grauen hirnzellen nicht im stich lassen.
     
  3. Dietbert

    Dietbert New Member

    Registriert seit:
    25. Mai 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Danke für den Tipp! Gesucht hatte ich, aber mit dem falschen string.
    Ich versuch’s dann mal mit dem Update bei meinem anderen Strato-Paket.
     
  4. Johanndrees

    Johanndrees Active Member

    Registriert seit:
    4. Oktober 2006
    Beiträge:
    41
    Zustimmungen:
    0
    Memory-Fehler


    Ich habe das gleiche Problem, konnte die Sache aber bislang nur an der deutschen Sprachdatei festmachen.
    Läßt man die nämlich weg und nutzt die originale, englische Version von WordPress 2.1, ist alles in Ordnung. Jedenfalls bei mir ...

    Übrigens: Auch mein Hoster ist Strato. Ich hoffe nicht das das die Ursache ist. Unter 2.0.7 und Vorversionen lief alles grandios.
     
  5. Dietbert

    Dietbert New Member

    Registriert seit:
    25. Mai 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Das liegt wohl daran, dass bei meinem Paket nur 8 MB memory_limit drin sind, ich probier’s heute Abend mal mit einer anderen Installation, da hab ich bis zu 20 MB memory_limit. Ohne die Sprachdatei ging’s jedenfalls auch nicht.
     
  6. Johanndrees

    Johanndrees Active Member

    Registriert seit:
    4. Oktober 2006
    Beiträge:
    41
    Zustimmungen:
    0
    Hallo Dietbert.
    Du schreibst Du würdest das Wordpress-Problem mit dem memory-allocation-error nochmal auf einer Installation mit 20 Mb-Limit testen.
    Frage: Hat es Dich weitergebracht?
    Frage2: Welcher Provider ist das, der Dir das höhere Limit eingerichtet hat?
     
  7. Dietbert

    Dietbert New Member

    Registriert seit:
    25. Mai 2006
    Beiträge:
    4
    Zustimmungen:
    0
    Hallo Johanndrees,
    ja, das Updaten hat bei Strato geklappt, da habe ich ein Premium XE Paket, das Limit gehört hier zum normalen "Lieferumfang". Und es gab da überhaupt kein Problem, 2.1 war in fünf Minuten installiert.